org.apache.felix.utils.repository

## Class UrlLoader

- java.lang.Object
- - org.apache.felix.utils.repository.UrlLoader

Direct Known Subclasses:
  XmlRepository.XmlLoader

    public abstract class UrlLoader
    extends Object

### Field Summary

Fields
`static String` `GZIP`
`static String` `HEADER_ACCEPT_ENCODING`

### Constructor Summary

Constructors
Constructor and Description
`UrlLoader(String url, long expiration)`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected static String` `base64(byte[] in)`
`protected boolean` `checkAndLoadCache()`
`protected abstract boolean` `doRead(InputStream is)`
`String` `getUrl()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HEADER_ACCEPT_ENCODING

    public static final String HEADER_ACCEPT_ENCODING

See Also:
  Constant Field Values

#### GZIP

    public static final String GZIP

See Also:
  Constant Field Values

### Constructor Detail

#### UrlLoader

    public UrlLoader(String url,
                     long expiration)

### Method Detail

#### getUrl

    public String getUrl()

#### checkAndLoadCache

    protected boolean checkAndLoadCache()

#### doRead

    protected abstract boolean doRead(InputStream is)
                               throws IOException

Throws:
  `IOException`

#### base64

    protected static String base64(byte[] in)